org.apache.cassandra.utils

## Class DefaultInteger

- java.lang.Object
- - org.apache.cassandra.utils.DefaultInteger

-     public class DefaultInteger
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultInteger(int value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isModified()`
    `void` | `reset()`
    `void` | `set(int i)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultInteger

          public DefaultInteger(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### set

          public void set(int i)

    - #### reset

          public void reset()

    - #### isModified

          public boolean isModified()

Copyright © 2018 The Apache Software Foundation